repos:
  - repo: https://gitlab.com/pycqa/flake8
    rev: 3.8.3
    hooks:
      - id: flake8
        additional_dependencies:
          - 'flake8-copyright==0.2.2'
          - 'flake8-debugger==3.1.0'
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v3.1.0
    hooks:
      - id: check-ast
      - id: check-docstring-first
      - id: check-executables-have-shebangs
      - id: check-merge-conflict
      - id: check-symlinks
      - id: debug-statements
      - id: trailing-whitespace
        exclude: '^arkindex/documents/tests/pagexml_samples/(.*).xml$'
      - id: check-yaml
        args: [--allow-multiple-documents]
      - id: mixed-line-ending
      - id: name-tests-test
        args: ['--django']
      - id: check-json
      - id: requirements-txt-fixer
  - repo: meta
    hooks:
      - id: check-useless-excludes

default_language_version:
  python: python3.7
